#ifndef XPHYSPRESET_H
#define XPHYSPRESET_H

#include "xasset.h"
#include "xstring.h"

class XPhysPreset : public XAsset
{
public:
    explicit XPhysPreset();
    ~XPhysPreset();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    XString mName;
    int mType;
    float mMass;
    float mBounce;
    float mFriction;
    float mBulletForceScale;
    float mExplosiveForceScale;
    XString mSndAliasPrefix;
    float mPiecesSpreadFraction;
    float mPiecesUpwardVelocity;
    bool mTempDefaultToCylinder;
};

#endif // XPHYSPRESET_H
